package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.StaffCustomer;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 用户企业Service接口
 * 
 * @author ics
 * @date 2024-04-08
 */
public interface IStaffCustomerService extends IService<StaffCustomer> {
    /**
     * 查询用户企业
     * 
     * @param id 用户企业ID
     * @return 用户企业
     */
    StaffCustomer selectStaffCustomerById(Long id);

    /**
     * 查询用户企业列表
     * 
     * @param staffCustomer 用户企业
     * @return 用户企业集合
     */
    List<StaffCustomer> selectStaffCustomerList(StaffCustomer staffCustomer);

    /**
     * 新增用户企业
     * 
     * @param staffCustomer 用户企业
     * @return 结果
     */
    int insertStaffCustomer(StaffCustomer staffCustomer);

    /**
     * 修改用户企业
     * 
     * @param staffCustomer 用户企业
     * @return 结果
     */
    int updateStaffCustomer(StaffCustomer staffCustomer);

    /**
     * 批量删除用户企业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteStaffCustomerByIds(String ids);

    /**
     * 删除用户企业信息
     * 
     * @param id 用户企业ID
     * @return 结果
     */
    int deleteStaffCustomerById(Long id);

    List<StaffCustomer> selectStaffCustomerByStaffId(Long id);

    StaffCustomer selectStaffIdAndCustomerId(Long icsCustomerId, Long staffId);

    List<StaffCustomer> selectStaffCustomerByStaffIdAndParkId(Long id, String parkId);
}
